##This setup.py is generated by setup-py-cli
##https://pypi.org/project/setup-py-cli/
# setup.py
from setuptools import setup, find_packages
import io
import os

here = os.path.abspath(os.path.dirname(__file__))

# read the contents of your README.md
with io.open(os.path.join(here, "README.md"), encoding="utf-8") as f:
    long_description = f.read()

setup(
    name="nanoparticleatomcounting",
    version="0.1.1",
    author="Gbolagade Olajide",
    author_email="giolajide@crimson.ua.edu",
    description="Estimate atom counts in metal nanoparticles"
    " given radius and contact angle",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/giolajide/nanoparticleatomcounting",
    packages=find_packages(where="."),

    # specify your dependencies here
    install_requires=[
        "numpy>=1.20,<2.3",
        "pandas>=1.4",
        "streamlit>=1.4,<2.0",
        "openpyxl>=3.1.0",
        "xlrd>=2.0.1"
    ],

    # enable the CLI: `nanoparticle-atom-count`
    entry_points={
        "console_scripts": [
            "nanoparticle-atom-count=nanoparticleatomcounting.atom_count:main",
        ],
    },

    classifiers=[
        # Project maturity
        "Development Status :: 3 - Alpha",
        # Audience & topic
        "Intended Audience :: Science/Research",
        "Topic :: Scientific/Engineering :: Chemistry",
        # License
        "License :: OSI Approved :: MIT License",
        # Supported Python versions
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
    ],

    keywords=[
        "nanoparticle",
        "tem",
        "electron microscopy",
        "active site"
        ],

    license="MIT",
    python_requires=">=3.8",
    include_package_data=True,
    project_urls={
        "Bug Tracker": "https://github.com/giolajide/nanoparticleatomcounting/issues",
        "Documentation": "https://github.com/giolajide/nanoparticleatomcounting#readme",
    },
)

